Subject: Re: Unsupported phy-connection-type sgmii-2500 in arch/powerpc/boot/dts/fsl/t1023rdb.dts

From: Andrew Lunn <[email-masked]>
Date: Fri, 4 Jun 2021 22:23:40 +0200

> The "sgmii-2500" compatible in that device tree describes an SGMII HW
> block, overclocked at 2.5G. Without that overclocking, it's a plain
> Cisco (like) SGMII HW block. That's the reason you need to disable it's
> AN setting when overclocked. With the proper Reset Configuration Word,
> you could remove the overclocking and transform that into a plain "sgmii".
> Thus, the dts compatible describes the HW, as it is.

It sounds like the hardware is capable of swapping between SGMII and
2500BaseX.

What we have in DT in this case is not describing the hardware, but
how we configure the hardware. It is one of the few places we abuse DT
for configuration.

    Andrew